VIMs Ubuntu Mate V180531


#1

Here we release new Ubuntu Mate ROMs V180531 for VIMs.
Check Firmware Page to download the ROMs.

ROM Infos:

Change logs:

  • Ubuntu

    • update to 16.04.4
    • use deb packages for kernel and board packages
    • preinstall some packages
    • remove docker packages
  • linux 3.14

    • Kodi update to 17.6(Thanks @balbes150 .)(VIM1 only)
    • enable watchdog
    • add fan control
    • use deb packages
    • add Tone Board support
  • linux 4.9

    • improve Wi-Fi performance
    • enable watchdog
    • add fan control
    • use deb packages
    • add Tone Board support
  • u-boot

Known issues:

  • Kodi has some issues on 4K resolution screen

Upgrade guidance:

  • The image name contains EMMC means that it is for eMMC installation, can only burn to eMMC, please refer to Upgrade with USB-C Cable.

  • The image name contains SD_USB means that it is for SD/USB installation, can only burn to SD card or U-disk, need Android running on eMMC and activate multi-boot, please refer to Boot images from external medias.

By the way

Ths images are built using Fenix scripts, you can use it to build your own image!

Have fun!


#2

Hi Nick.
It is desirable to add in the message that the version SD_USB is intended for start from external carriers. Although this is obvious from the image name, not all users (especially beginners) know the logic of designating images. And it is desirable to describe the rules of running from external media (the need to use multiboot).


#3

Hi Oleg,

You are right. And we are working on FAQs, too, we will add such docs there.

Thanks.


#4

It is good news to have these images. I was wondering if there is any possibility to update the multiOS images (either the official 2-in-1 or @balbes150 's 3-in-1) with these images.


#5

Hi huantxo,

We will release MultiOS(2 in 1) next week.

Thanks.


#6

Well done guys, thank you for your hard work! I will give it a try this week.


#7

If Nick throws me rootfs with the new system, I can use it in the new version of MultiOS_3_in_1 for VIM1 and VIM2.


#8

Hi Oleg,

You need Ubuntu rootfs or Android rootfs?


#9

Need new Ubuntu rootfs for VIM1 and VIM2.


#10

Hi Oleg,

Please check the Ubuntu rootfs for VIM1 and VIM2.

Thanks.


#11

Thanks, got the files.


#12

I used the vim2 4.9 emmc image on my vim2 and ran into quite a few problems after logging in. Control Center was missing “Users and Groups” and “Firewall” configuration options. Synaptic wouldn’t refresh packages and the ubuntu’s Software and Updates program would even open. Also logging in as root gave me an error about an unconfigured part of the root user profile. Never had any of these problems with the other builds. Is there something I’m missing?


#13

Hello trebor,

I will check on this next week…

Thanks.


#14

For Users and Groups, you can install gnome-system-tools:

khadas@Khadas:~$ sudo apt-get install gnome-system-tools

For Firewall, you can install gufw:

khadas@Khadas:~$ sudo apt-get install gufw

After install the tools, reboot the system, you will find Users and Groups under System->Administration->Users and Groups, and Firewall under System->Preferences->Internet and Network->Firewall Configuration.

I’m not quite understand.

Yes, it’s unusable, but you can update your system via sudo apt-get update && sudo apt-get upgrade.

Yes, it is. It’s recommend to use normal user to login.

Thanks.


#15

Thanks for the quick reply and suggestions.

Also noticed cifs still isn’t enabled. I know there’s a fix here ( Still can’t use cifs ), but I was hoping it would be fixed in this image release.


#16

Really? CIFS has been enabled a few months ago, and haven’t changed for this release.

I check VIM2_Ubuntu-xenial_Linux-4.9_mate_arm64_EMMC_2018-05-31, and I can mount samba.

Can you tell me your operations?

Thanks.